Uploaded image for project: 'Apache Storm'
  1. Apache Storm
  2. STORM-3883

Upgrade com.esotericsoftware.kryo from 3.0.3 to 4.0.2

    XMLWordPrintableJSON

Details

    • Dependency upgrade
    • Status: Resolved
    • Major
    • Resolution: Duplicate
    • None
    • None
    • None
    • None

    Description

      Building storm with Kryo 3.0.3 using Java 11, gives warnings on the use of reflection in 3.0.3.

       

      [ERROR] WARNING: An illegal reflective access operation has occurred
      [ERROR] WARNING: Illegal reflective access by com.esotericsoftware.kryo.util.UnsafeUtil (file:/Users/bprasad/.m2/repository/com/esotericsoftware/kryo/3.0.3/kryo-3.0.3.jar) to constructor java.nio.DirectByteBuffer(long,int,java.lang.Object)
      [ERROR] WARNING: Please consider reporting this to the maintainers of com.esotericsoftware.kryo.util.UnsafeUtil
      [ERROR] WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
      [ERROR] WARNING: All illegal access operations will be denied in a future release
      

       

      Upgrade to version 4.0.2. (Note that version 5.x.x gives compile errors).

      Attachments

        Issue Links

          Activity

            People

              bipinprasad Bipin Prasad
              bipinprasad Bipin Prasad
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 10m
                  10m